Bug 198659 - [PATCH] net-mgmt/collectd5: add varnish support
Summary: [PATCH] net-mgmt/collectd5: add varnish support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-17 14:48 UTC by Krzysztof
Modified: 2015-03-28 20:27 UTC (History)
1 user (show)

See Also:


Attachments
collectd5.patch to add varish plugin (2.37 KB, patch)
2015-03-17 14:48 UTC, Krzysztof
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2015-03-17 14:48:38 UTC
Created attachment 154456 [details]
collectd5.patch to add varish plugin

varnish plugin disappeared some time ago. According collectd wiki (https://www.collectd.org/wiki/index.php/Plugin:Varnish) only varnish3 is supported. So this patch depends on www/varnish port.

This patch  was checked that collectd is working correctly. Also you can check pourdiere log (https://rtm.bsdserwis.com/poudriere/data/a1amd64-default/2015-03-12_12h45m46s/logs/collectd5-5.4.2_1.log - yes it's self signed certificate).

I hope it will be commited soon
Comment 1 Krzysztof 2015-03-17 14:49:38 UTC
Also I've checked that some plugins at pkg-plist were broken. So this patch fix them also.
Comment 2 Dmitry Sivachenko freebsd_committer 2015-03-28 20:26:27 UTC
Patch committed, thanks!
Comment 3 commit-hook freebsd_committer 2015-03-28 20:27:13 UTC
A commit references this bug:

Author: demon
Date: Sat Mar 28 20:26:13 UTC 2015
New revision: 382551
URL: https://svnweb.freebsd.org/changeset/ports/382551

Log:
  Add new OPTION for Varnish plugin support;
  Fix plist entries for several plugins;

  PR:		198659
  Submitted by:	maintainer

Changes:
  head/net-mgmt/collectd5/Makefile
  head/net-mgmt/collectd5/pkg-plist